Bug 21343 - Automatic renewal cronjob doesn't send notices according to patron language preference
Summary: Automatic renewal cronjob doesn't send notices according to patron language p...
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Björn Nylén
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-14 06:58 UTC by Björn Nylén
Modified: 2019-10-07 11:58 UTC (History)
2 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 21343: Add language preference to automatic renewal notice (1.23 KB, patch)
2018-09-14 07:22 UTC, Björn Nylén
Details | Diff | Splinter Review
Bug 21343: Automatic renewal notice will now respect patron language preference. (1.30 KB, patch)
2019-10-02 22:46 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21343: Respect patron language preference in automtic renewals (1.29 KB, patch)
2019-10-02 22:49 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21343: Respect patron language preference in automtic renewals (1.34 KB, patch)
2019-10-03 11:42 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Nylén 2018-09-14 06:58:00 UTC
The automatic_renewals.pl cronjob doesn't pass the patron language preference when generating notices. Hence all notices will be sent according to the default format.

It's a trivial fix. I intend to upload a patch soon.
Comment 1 Björn Nylén 2018-09-14 07:22:09 UTC
Created attachment 78630 [details] [review]
Bug 21343: Add language preference to automatic renewal notice

Bug 21343: Automatic renewal notice will now respect patron language preference.

    To test:
    1) Set up different automatic renewal notices for Default and one other language
    2) Make sure you have checkouts due for auto-renewal to patrons with non-Default language pref
    3) Run automatic_renewals.pl . All patrons will get the default-language notice
    4) Apply patch.
    5) Repeat 2)
    6) Run automatic_renewals.pl . Patrons will receive notices according to their language preference.
Comment 2 Katrin Fischer 2018-12-20 21:29:20 UTC
Hi Björn, please don't forget to assign the bug to yourself when providing a patch!
Comment 3 Martin Renvoize 2019-10-02 22:46:33 UTC
Created attachment 93504 [details] [review]
Bug 21343: Automatic renewal notice will now respect patron language preference.

To test:
1) Set up different automatic renewal notices for Default and one other language
2) Make sure you have checkouts due for auto-renewal to patrons with non-Default language pref
3) Run automatic_renewals.pl . All patrons will get the default-language notice
4) Apply patch.
5) Repeat 2)
6) Run automatic_renewals.pl . Patrons will receive notices according to their language preference.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2019-10-02 22:49:17 UTC
Created attachment 93505 [details] [review]
Bug 21343: Respect patron language preference in automtic renewals

To test:
1) Set up different automatic renewal notices for Default and one other language
2) Make sure you have checkouts due for auto-renewal to patrons with non-Default language pref
3) Run automatic_renewals.pl . All patrons will get the default-language notice
4) Apply patch.
5) Repeat 2)
6) Run automatic_renewals.pl . Patrons will receive notices according to their language preference.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2019-10-02 22:51:22 UTC
All works as expected, a great first patch Björn, Signing off.

The bug states it's sponsored, could we get the sponsor name so we can add it to the patch for proper attribution?
Comment 6 Nick Clemens 2019-10-03 11:42:24 UTC
Created attachment 93566 [details] [review]
Bug 21343: Respect patron language preference in automtic renewals

To test:
1) Set up different automatic renewal notices for Default and one other language
2) Make sure you have checkouts due for auto-renewal to patrons with non-Default language pref
3) Run automatic_renewals.pl . All patrons will get the default-language notice
4) Apply patch.
5) Repeat 2)
6) Run automatic_renewals.pl . Patrons will receive notices according to their language preference.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 7 Martin Renvoize 2019-10-07 11:20:35 UTC
Thankyou for your first submission Björn, welcome to Koha's development team :).

I've added full attribution to your employer for the sponsorship notes whilst pushing the patch too: Sponsored-by: Lund University Library
Comment 8 Martin Renvoize 2019-10-07 11:58:08 UTC
Nice work!

Pushed to master for 19.11.00